package studenttable;

import javax.swing.*;
import java.awt.event.*;
import java.sql.*;

/**
 * @author noah_singer
 */
public class Main extends JFrame implements ActionListener {
	private JTable table;
	private DBTableModel studentModel;
	private DBTableModel classesModel;
	private DBTableModel enrollmentsModel;

	public Main( ) {
		super( "Student Table" );

		try {
			studentModel = new DBTableModel( "localhost", "java", "root", "mc427", "students" );
			classesModel = new DBTableModel( "localhost", "java", "root", "mc427", "classes" );
			
			enrollmentsModel = new DBTableModel( "localhost", "java", "root", "mc427", "enrollments" );
			enrollmentsModel.setEditable( false );

			enrollmentsModel.addForeignKeyHint( "student_id", "last_name" );
			enrollmentsModel.addForeignKeyHint( "class_id", "name" );
			
			table = new JTable( studentModel );
			add( new JScrollPane( table ), "Center" );

			JPanel buttonPanel = new JPanel( );
			JButton studentButton = new JButton( "Students" );
			JButton enrollmentButton = new JButton( "Enrollments" );
			JButton classButton = new JButton( "Classes" );

			buttonPanel.add( studentButton );
			buttonPanel.add( enrollmentButton );
			buttonPanel.add( classButton );

			add( buttonPanel, "South" );

			studentButton.addActionListener( this );
			enrollmentButton.addActionListener( this );
			classButton.addActionListener( this );

		} catch( ClassNotFoundException cnfe ) {
			JOptionPane.showMessageDialog( this, cnfe );
			System.exit( 1 );
		} catch( SQLException se ) {
			JOptionPane.showMessageDialog( this, se );
			System.exit( 2 );
		}
	}

	public void actionPerformed( ActionEvent ae ) {
		if( ae.getActionCommand( ).equals( "Students") ) {
			table.setModel( studentModel );
		} else if( ae.getActionCommand( ).equals( "Classes" ) ) {
			table.setModel( classesModel );
		} else if( ae.getActionCommand( ).equals( "Enrollments" ) ) {
			table.setModel( enrollmentsModel );
		}
	}

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) {
		Main m = new Main( );
		m.setSize( 400, 150 );
		m.setDefaultCloseOperation( m.EXIT_ON_CLOSE );
		m.setVisible(true);
	}

}
