package studenttable;

import javax.swing.table.*;
import java.sql.*;

/**
 * @author noah_singer
 */
public class StudentModel extends AbstractTableModel {
	private ResultSet data;
	private String [] colNames = {"id","Student id","First Name","Last Name"};

	public StudentModel( String host, String database, String user, String password )
		throws ClassNotFoundException, SQLException {

		//colNames = {"id","Student id","First Name","Last Name"};

		Class.forName("com.mysql.jdbc.Driver");
		Connection db = DriverManager.getConnection("jdbc:mysql://"
																		 + host
																		 + "/"
																		 + database,
																		 user,
																		 password);

		Statement statement = db.createStatement( );
		data = statement.executeQuery("select * from students");

	}

	public Object getValueAt( int row, int col ) {
		try {
			data.absolute(row + 1);
			return data.getObject(col + 1);
		} catch( SQLException se ) {
			System.err.println( se );
			return "N/A";
		}
	}

	public int getColumnCount( ) {
		return 4;
	}

	public int getRowCount( ) {
		try {
			data.last( );
			return data.getRow( );
		} catch( SQLException se ) {
			System.err.println( se );
			return 0;
		}
	}

	public String getColumnName( int col ) {
		return colNames[col];
	}
}
